WyrdOS
Open App

Organisations

API endpoints for organisations

List organisations

GET /api/v1/organisations

Example request

curl -X GET \
"https://<your-wyrdos-api-host>/api/v1/organisations" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": [
    {
      "id": "item_abc123",
      "name": "Launch readiness"
    }
  ]
}

Other statuses: 401.

Response body type

{ data: Organisation[] }


Get organisation by id

GET /api/v1/organisations/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYes

Example request

curl -X GET \
"https://<your-wyrdos-api-host>/api/v1/organisations/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": {
    "id": "item_abc123",
    "name": "Launch readiness"
  }
}

Other statuses: 401, 404.

Response body type

{ data: Organisation }